module MultiTranslate
  LANGUAGE_PAIRS = {
    'google' => [
      ['auto', 'ar'],
      ['auto', 'bg'],
      ['auto', 'ca'],
      ['auto', 'zh-CN'],
      ['auto', 'hr'],
      ['auto', 'cs'],
      ['auto', 'da'],
      ['auto', 'nl'],
      ['auto', 'en'],
      ['auto', 'tl'],
      ['auto', 'fi'],
      ['auto', 'fr'],
      ['auto', 'de'],
      ['auto', 'el'],
      ['auto', 'iw'],
      ['auto', 'hi'],
      ['auto', 'id'],
      ['auto', 'it'],
      ['auto', 'ja'],
      ['auto', 'ko'],
      ['auto', 'lv'],
      ['auto', 'lt'],
      ['auto', 'no'],
      ['auto', 'pl'],
      ['auto', 'pt'],
      ['auto', 'ro'],
      ['auto', 'ru'],
      ['auto', 'sr'],
      ['auto', 'sk'],
      ['auto', 'sl'],
      ['auto', 'es'],
      ['auto', 'sv'],
      ['auto', 'uk'],
      ['auto', 'vi'],
      ['ar', 'ar'],
      ['ar', 'bg'],
      ['ar', 'ca'],
      ['ar', 'zh-CN'],
      ['ar', 'hr'],
      ['ar', 'cs'],
      ['ar', 'da'],
      ['ar', 'nl'],
      ['ar', 'en'],
      ['ar', 'tl'],
      ['ar', 'fi'],
      ['ar', 'fr'],
      ['ar', 'de'],
      ['ar', 'el'],
      ['ar', 'iw'],
      ['ar', 'hi'],
      ['ar', 'id'],
      ['ar', 'it'],
      ['ar', 'ja'],
      ['ar', 'ko'],
      ['ar', 'lv'],
      ['ar', 'lt'],
      ['ar', 'no'],
      ['ar', 'pl'],
      ['ar', 'pt'],
      ['ar', 'ro'],
      ['ar', 'ru'],
      ['ar', 'sr'],
      ['ar', 'sk'],
      ['ar', 'sl'],
      ['ar', 'es'],
      ['ar', 'sv'],
      ['ar', 'uk'],
      ['ar', 'vi'],
      ['bg', 'ar'],
      ['bg', 'bg'],
      ['bg', 'ca'],
      ['bg', 'zh-CN'],
      ['bg', 'hr'],
      ['bg', 'cs'],
      ['bg', 'da'],
      ['bg', 'nl'],
      ['bg', 'en'],
      ['bg', 'tl'],
      ['bg', 'fi'],
      ['bg', 'fr'],
      ['bg', 'de'],
      ['bg', 'el'],
      ['bg', 'iw'],
      ['bg', 'hi'],
      ['bg', 'id'],
      ['bg', 'it'],
      ['bg', 'ja'],
      ['bg', 'ko'],
      ['bg', 'lv'],
      ['bg', 'lt'],
      ['bg', 'no'],
      ['bg', 'pl'],
      ['bg', 'pt'],
      ['bg', 'ro'],
      ['bg', 'ru'],
      ['bg', 'sr'],
      ['bg', 'sk'],
      ['bg', 'sl'],
      ['bg', 'es'],
      ['bg', 'sv'],
      ['bg', 'uk'],
      ['bg', 'vi'],
      ['ca', 'ar'],
      ['ca', 'bg'],
      ['ca', 'ca'],
      ['ca', 'zh-CN'],
      ['ca', 'hr'],
      ['ca', 'cs'],
      ['ca', 'da'],
      ['ca', 'nl'],
      ['ca', 'en'],
      ['ca', 'tl'],
      ['ca', 'fi'],
      ['ca', 'fr'],
      ['ca', 'de'],
      ['ca', 'el'],
      ['ca', 'iw'],
      ['ca', 'hi'],
      ['ca', 'id'],
      ['ca', 'it'],
      ['ca', 'ja'],
      ['ca', 'ko'],
      ['ca', 'lv'],
      ['ca', 'lt'],
      ['ca', 'no'],
      ['ca', 'pl'],
      ['ca', 'pt'],
      ['ca', 'ro'],
      ['ca', 'ru'],
      ['ca', 'sr'],
      ['ca', 'sk'],
      ['ca', 'sl'],
      ['ca', 'es'],
      ['ca', 'sv'],
      ['ca', 'uk'],
      ['ca', 'vi'],
      ['zh-CN', 'ar'],
      ['zh-CN', 'bg'],
      ['zh-CN', 'ca'],
      ['zh-CN', 'zh-CN'],
      ['zh-CN', 'hr'],
      ['zh-CN', 'cs'],
      ['zh-CN', 'da'],
      ['zh-CN', 'nl'],
      ['zh-CN', 'en'],
      ['zh-CN', 'tl'],
      ['zh-CN', 'fi'],
      ['zh-CN', 'fr'],
      ['zh-CN', 'de'],
      ['zh-CN', 'el'],
      ['zh-CN', 'iw'],
      ['zh-CN', 'hi'],
      ['zh-CN', 'id'],
      ['zh-CN', 'it'],
      ['zh-CN', 'ja'],
      ['zh-CN', 'ko'],
      ['zh-CN', 'lv'],
      ['zh-CN', 'lt'],
      ['zh-CN', 'no'],
      ['zh-CN', 'pl'],
      ['zh-CN', 'pt'],
      ['zh-CN', 'ro'],
      ['zh-CN', 'ru'],
      ['zh-CN', 'sr'],
      ['zh-CN', 'sk'],
      ['zh-CN', 'sl'],
      ['zh-CN', 'es'],
      ['zh-CN', 'sv'],
      ['zh-CN', 'uk'],
      ['zh-CN', 'vi'],
      ['hr', 'ar'],
      ['hr', 'bg'],
      ['hr', 'ca'],
      ['hr', 'zh-CN'],
      ['hr', 'hr'],
      ['hr', 'cs'],
      ['hr', 'da'],
      ['hr', 'nl'],
      ['hr', 'en'],
      ['hr', 'tl'],
      ['hr', 'fi'],
      ['hr', 'fr'],
      ['hr', 'de'],
      ['hr', 'el'],
      ['hr', 'iw'],
      ['hr', 'hi'],
      ['hr', 'id'],
      ['hr', 'it'],
      ['hr', 'ja'],
      ['hr', 'ko'],
      ['hr', 'lv'],
      ['hr', 'lt'],
      ['hr', 'no'],
      ['hr', 'pl'],
      ['hr', 'pt'],
      ['hr', 'ro'],
      ['hr', 'ru'],
      ['hr', 'sr'],
      ['hr', 'sk'],
      ['hr', 'sl'],
      ['hr', 'es'],
      ['hr', 'sv'],
      ['hr', 'uk'],
      ['hr', 'vi'],
      ['cs', 'ar'],
      ['cs', 'bg'],
      ['cs', 'ca'],
      ['cs', 'zh-CN'],
      ['cs', 'hr'],
      ['cs', 'cs'],
      ['cs', 'da'],
      ['cs', 'nl'],
      ['cs', 'en'],
      ['cs', 'tl'],
      ['cs', 'fi'],
      ['cs', 'fr'],
      ['cs', 'de'],
      ['cs', 'el'],
      ['cs', 'iw'],
      ['cs', 'hi'],
      ['cs', 'id'],
      ['cs', 'it'],
      ['cs', 'ja'],
      ['cs', 'ko'],
      ['cs', 'lv'],
      ['cs', 'lt'],
      ['cs', 'no'],
      ['cs', 'pl'],
      ['cs', 'pt'],
      ['cs', 'ro'],
      ['cs', 'ru'],
      ['cs', 'sr'],
      ['cs', 'sk'],
      ['cs', 'sl'],
      ['cs', 'es'],
      ['cs', 'sv'],
      ['cs', 'uk'],
      ['cs', 'vi'],
      ['da', 'ar'],
      ['da', 'bg'],
      ['da', 'ca'],
      ['da', 'zh-CN'],
      ['da', 'hr'],
      ['da', 'cs'],
      ['da', 'da'],
      ['da', 'nl'],
      ['da', 'en'],
      ['da', 'tl'],
      ['da', 'fi'],
      ['da', 'fr'],
      ['da', 'de'],
      ['da', 'el'],
      ['da', 'iw'],
      ['da', 'hi'],
      ['da', 'id'],
      ['da', 'it'],
      ['da', 'ja'],
      ['da', 'ko'],
      ['da', 'lv'],
      ['da', 'lt'],
      ['da', 'no'],
      ['da', 'pl'],
      ['da', 'pt'],
      ['da', 'ro'],
      ['da', 'ru'],
      ['da', 'sr'],
      ['da', 'sk'],
      ['da', 'sl'],
      ['da', 'es'],
      ['da', 'sv'],
      ['da', 'uk'],
      ['da', 'vi'],
      ['nl', 'ar'],
      ['nl', 'bg'],
      ['nl', 'ca'],
      ['nl', 'zh-CN'],
      ['nl', 'hr'],
      ['nl', 'cs'],
      ['nl', 'da'],
      ['nl', 'nl'],
      ['nl', 'en'],
      ['nl', 'tl'],
      ['nl', 'fi'],
      ['nl', 'fr'],
      ['nl', 'de'],
      ['nl', 'el'],
      ['nl', 'iw'],
      ['nl', 'hi'],
      ['nl', 'id'],
      ['nl', 'it'],
      ['nl', 'ja'],
      ['nl', 'ko'],
      ['nl', 'lv'],
      ['nl', 'lt'],
      ['nl', 'no'],
      ['nl', 'pl'],
      ['nl', 'pt'],
      ['nl', 'ro'],
      ['nl', 'ru'],
      ['nl', 'sr'],
      ['nl', 'sk'],
      ['nl', 'sl'],
      ['nl', 'es'],
      ['nl', 'sv'],
      ['nl', 'uk'],
      ['nl', 'vi'],
      ['en', 'ar'],
      ['en', 'bg'],
      ['en', 'ca'],
      ['en', 'zh-CN'],
      ['en', 'hr'],
      ['en', 'cs'],
      ['en', 'da'],
      ['en', 'nl'],
      ['en', 'en'],
      ['en', 'tl'],
      ['en', 'fi'],
      ['en', 'fr'],
      ['en', 'de'],
      ['en', 'el'],
      ['en', 'iw'],
      ['en', 'hi'],
      ['en', 'id'],
      ['en', 'it'],
      ['en', 'ja'],
      ['en', 'ko'],
      ['en', 'lv'],
      ['en', 'lt'],
      ['en', 'no'],
      ['en', 'pl'],
      ['en', 'pt'],
      ['en', 'ro'],
      ['en', 'ru'],
      ['en', 'sr'],
      ['en', 'sk'],
      ['en', 'sl'],
      ['en', 'es'],
      ['en', 'sv'],
      ['en', 'uk'],
      ['en', 'vi'],
      ['tl', 'ar'],
      ['tl', 'bg'],
      ['tl', 'ca'],
      ['tl', 'zh-CN'],
      ['tl', 'hr'],
      ['tl', 'cs'],
      ['tl', 'da'],
      ['tl', 'nl'],
      ['tl', 'en'],
      ['tl', 'tl'],
      ['tl', 'fi'],
      ['tl', 'fr'],
      ['tl', 'de'],
      ['tl', 'el'],
      ['tl', 'iw'],
      ['tl', 'hi'],
      ['tl', 'id'],
      ['tl', 'it'],
      ['tl', 'ja'],
      ['tl', 'ko'],
      ['tl', 'lv'],
      ['tl', 'lt'],
      ['tl', 'no'],
      ['tl', 'pl'],
      ['tl', 'pt'],
      ['tl', 'ro'],
      ['tl', 'ru'],
      ['tl', 'sr'],
      ['tl', 'sk'],
      ['tl', 'sl'],
      ['tl', 'es'],
      ['tl', 'sv'],
      ['tl', 'uk'],
      ['tl', 'vi'],
      ['fi', 'ar'],
      ['fi', 'bg'],
      ['fi', 'ca'],
      ['fi', 'zh-CN'],
      ['fi', 'hr'],
      ['fi', 'cs'],
      ['fi', 'da'],
      ['fi', 'nl'],
      ['fi', 'en'],
      ['fi', 'tl'],
      ['fi', 'fi'],
      ['fi', 'fr'],
      ['fi', 'de'],
      ['fi', 'el'],
      ['fi', 'iw'],
      ['fi', 'hi'],
      ['fi', 'id'],
      ['fi', 'it'],
      ['fi', 'ja'],
      ['fi', 'ko'],
      ['fi', 'lv'],
      ['fi', 'lt'],
      ['fi', 'no'],
      ['fi', 'pl'],
      ['fi', 'pt'],
      ['fi', 'ro'],
      ['fi', 'ru'],
      ['fi', 'sr'],
      ['fi', 'sk'],
      ['fi', 'sl'],
      ['fi', 'es'],
      ['fi', 'sv'],
      ['fi', 'uk'],
      ['fi', 'vi'],
      ['fr', 'ar'],
      ['fr', 'bg'],
      ['fr', 'ca'],
      ['fr', 'zh-CN'],
      ['fr', 'hr'],
      ['fr', 'cs'],
      ['fr', 'da'],
      ['fr', 'nl'],
      ['fr', 'en'],
      ['fr', 'tl'],
      ['fr', 'fi'],
      ['fr', 'fr'],
      ['fr', 'de'],
      ['fr', 'el'],
      ['fr', 'iw'],
      ['fr', 'hi'],
      ['fr', 'id'],
      ['fr', 'it'],
      ['fr', 'ja'],
      ['fr', 'ko'],
      ['fr', 'lv'],
      ['fr', 'lt'],
      ['fr', 'no'],
      ['fr', 'pl'],
      ['fr', 'pt'],
      ['fr', 'ro'],
      ['fr', 'ru'],
      ['fr', 'sr'],
      ['fr', 'sk'],
      ['fr', 'sl'],
      ['fr', 'es'],
      ['fr', 'sv'],
      ['fr', 'uk'],
      ['fr', 'vi'],
      ['de', 'ar'],
      ['de', 'bg'],
      ['de', 'ca'],
      ['de', 'zh-CN'],
      ['de', 'hr'],
      ['de', 'cs'],
      ['de', 'da'],
      ['de', 'nl'],
      ['de', 'en'],
      ['de', 'tl'],
      ['de', 'fi'],
      ['de', 'fr'],
      ['de', 'de'],
      ['de', 'el'],
      ['de', 'iw'],
      ['de', 'hi'],
      ['de', 'id'],
      ['de', 'it'],
      ['de', 'ja'],
      ['de', 'ko'],
      ['de', 'lv'],
      ['de', 'lt'],
      ['de', 'no'],
      ['de', 'pl'],
      ['de', 'pt'],
      ['de', 'ro'],
      ['de', 'ru'],
      ['de', 'sr'],
      ['de', 'sk'],
      ['de', 'sl'],
      ['de', 'es'],
      ['de', 'sv'],
      ['de', 'uk'],
      ['de', 'vi'],
      ['el', 'ar'],
      ['el', 'bg'],
      ['el', 'ca'],
      ['el', 'zh-CN'],
      ['el', 'hr'],
      ['el', 'cs'],
      ['el', 'da'],
      ['el', 'nl'],
      ['el', 'en'],
      ['el', 'tl'],
      ['el', 'fi'],
      ['el', 'fr'],
      ['el', 'de'],
      ['el', 'el'],
      ['el', 'iw'],
      ['el', 'hi'],
      ['el', 'id'],
      ['el', 'it'],
      ['el', 'ja'],
      ['el', 'ko'],
      ['el', 'lv'],
      ['el', 'lt'],
      ['el', 'no'],
      ['el', 'pl'],
      ['el', 'pt'],
      ['el', 'ro'],
      ['el', 'ru'],
      ['el', 'sr'],
      ['el', 'sk'],
      ['el', 'sl'],
      ['el', 'es'],
      ['el', 'sv'],
      ['el', 'uk'],
      ['el', 'vi'],
      ['iw', 'ar'],
      ['iw', 'bg'],
      ['iw', 'ca'],
      ['iw', 'zh-CN'],
      ['iw', 'hr'],
      ['iw', 'cs'],
      ['iw', 'da'],
      ['iw', 'nl'],
      ['iw', 'en'],
      ['iw', 'tl'],
      ['iw', 'fi'],
      ['iw', 'fr'],
      ['iw', 'de'],
      ['iw', 'el'],
      ['iw', 'iw'],
      ['iw', 'hi'],
      ['iw', 'id'],
      ['iw', 'it'],
      ['iw', 'ja'],
      ['iw', 'ko'],
      ['iw', 'lv'],
      ['iw', 'lt'],
      ['iw', 'no'],
      ['iw', 'pl'],
      ['iw', 'pt'],
      ['iw', 'ro'],
      ['iw', 'ru'],
      ['iw', 'sr'],
      ['iw', 'sk'],
      ['iw', 'sl'],
      ['iw', 'es'],
      ['iw', 'sv'],
      ['iw', 'uk'],
      ['iw', 'vi'],
      ['hi', 'ar'],
      ['hi', 'bg'],
      ['hi', 'ca'],
      ['hi', 'zh-CN'],
      ['hi', 'hr'],
      ['hi', 'cs'],
      ['hi', 'da'],
      ['hi', 'nl'],
      ['hi', 'en'],
      ['hi', 'tl'],
      ['hi', 'fi'],
      ['hi', 'fr'],
      ['hi', 'de'],
      ['hi', 'el'],
      ['hi', 'iw'],
      ['hi', 'hi'],
      ['hi', 'id'],
      ['hi', 'it'],
      ['hi', 'ja'],
      ['hi', 'ko'],
      ['hi', 'lv'],
      ['hi', 'lt'],
      ['hi', 'no'],
      ['hi', 'pl'],
      ['hi', 'pt'],
      ['hi', 'ro'],
      ['hi', 'ru'],
      ['hi', 'sr'],
      ['hi', 'sk'],
      ['hi', 'sl'],
      ['hi', 'es'],
      ['hi', 'sv'],
      ['hi', 'uk'],
      ['hi', 'vi'],
      ['id', 'ar'],
      ['id', 'bg'],
      ['id', 'ca'],
      ['id', 'zh-CN'],
      ['id', 'hr'],
      ['id', 'cs'],
      ['id', 'da'],
      ['id', 'nl'],
      ['id', 'en'],
      ['id', 'tl'],
      ['id', 'fi'],
      ['id', 'fr'],
      ['id', 'de'],
      ['id', 'el'],
      ['id', 'iw'],
      ['id', 'hi'],
      ['id', 'id'],
      ['id', 'it'],
      ['id', 'ja'],
      ['id', 'ko'],
      ['id', 'lv'],
      ['id', 'lt'],
      ['id', 'no'],
      ['id', 'pl'],
      ['id', 'pt'],
      ['id', 'ro'],
      ['id', 'ru'],
      ['id', 'sr'],
      ['id', 'sk'],
      ['id', 'sl'],
      ['id', 'es'],
      ['id', 'sv'],
      ['id', 'uk'],
      ['id', 'vi'],
      ['it', 'ar'],
      ['it', 'bg'],
      ['it', 'ca'],
      ['it', 'zh-CN'],
      ['it', 'hr'],
      ['it', 'cs'],
      ['it', 'da'],
      ['it', 'nl'],
      ['it', 'en'],
      ['it', 'tl'],
      ['it', 'fi'],
      ['it', 'fr'],
      ['it', 'de'],
      ['it', 'el'],
      ['it', 'iw'],
      ['it', 'hi'],
      ['it', 'id'],
      ['it', 'it'],
      ['it', 'ja'],
      ['it', 'ko'],
      ['it', 'lv'],
      ['it', 'lt'],
      ['it', 'no'],
      ['it', 'pl'],
      ['it', 'pt'],
      ['it', 'ro'],
      ['it', 'ru'],
      ['it', 'sr'],
      ['it', 'sk'],
      ['it', 'sl'],
      ['it', 'es'],
      ['it', 'sv'],
      ['it', 'uk'],
      ['it', 'vi'],
      ['ja', 'ar'],
      ['ja', 'bg'],
      ['ja', 'ca'],
      ['ja', 'zh-CN'],
      ['ja', 'hr'],
      ['ja', 'cs'],
      ['ja', 'da'],
      ['ja', 'nl'],
      ['ja', 'en'],
      ['ja', 'tl'],
      ['ja', 'fi'],
      ['ja', 'fr'],
      ['ja', 'de'],
      ['ja', 'el'],
      ['ja', 'iw'],
      ['ja', 'hi'],
      ['ja', 'id'],
      ['ja', 'it'],
      ['ja', 'ja'],
      ['ja', 'ko'],
      ['ja', 'lv'],
      ['ja', 'lt'],
      ['ja', 'no'],
      ['ja', 'pl'],
      ['ja', 'pt'],
      ['ja', 'ro'],
      ['ja', 'ru'],
      ['ja', 'sr'],
      ['ja', 'sk'],
      ['ja', 'sl'],
      ['ja', 'es'],
      ['ja', 'sv'],
      ['ja', 'uk'],
      ['ja', 'vi'],
      ['ko', 'ar'],
      ['ko', 'bg'],
      ['ko', 'ca'],
      ['ko', 'zh-CN'],
      ['ko', 'hr'],
      ['ko', 'cs'],
      ['ko', 'da'],
      ['ko', 'nl'],
      ['ko', 'en'],
      ['ko', 'tl'],
      ['ko', 'fi'],
      ['ko', 'fr'],
      ['ko', 'de'],
      ['ko', 'el'],
      ['ko', 'iw'],
      ['ko', 'hi'],
      ['ko', 'id'],
      ['ko', 'it'],
      ['ko', 'ja'],
      ['ko', 'ko'],
      ['ko', 'lv'],
      ['ko', 'lt'],
      ['ko', 'no'],
      ['ko', 'pl'],
      ['ko', 'pt'],
      ['ko', 'ro'],
      ['ko', 'ru'],
      ['ko', 'sr'],
      ['ko', 'sk'],
      ['ko', 'sl'],
      ['ko', 'es'],
      ['ko', 'sv'],
      ['ko', 'uk'],
      ['ko', 'vi'],
      ['lv', 'ar'],
      ['lv', 'bg'],
      ['lv', 'ca'],
      ['lv', 'zh-CN'],
      ['lv', 'hr'],
      ['lv', 'cs'],
      ['lv', 'da'],
      ['lv', 'nl'],
      ['lv', 'en'],
      ['lv', 'tl'],
      ['lv', 'fi'],
      ['lv', 'fr'],
      ['lv', 'de'],
      ['lv', 'el'],
      ['lv', 'iw'],
      ['lv', 'hi'],
      ['lv', 'id'],
      ['lv', 'it'],
      ['lv', 'ja'],
      ['lv', 'ko'],
      ['lv', 'lv'],
      ['lv', 'lt'],
      ['lv', 'no'],
      ['lv', 'pl'],
      ['lv', 'pt'],
      ['lv', 'ro'],
      ['lv', 'ru'],
      ['lv', 'sr'],
      ['lv', 'sk'],
      ['lv', 'sl'],
      ['lv', 'es'],
      ['lv', 'sv'],
      ['lv', 'uk'],
      ['lv', 'vi'],
      ['lt', 'ar'],
      ['lt', 'bg'],
      ['lt', 'ca'],
      ['lt', 'zh-CN'],
      ['lt', 'hr'],
      ['lt', 'cs'],
      ['lt', 'da'],
      ['lt', 'nl'],
      ['lt', 'en'],
      ['lt', 'tl'],
      ['lt', 'fi'],
      ['lt', 'fr'],
      ['lt', 'de'],
      ['lt', 'el'],
      ['lt', 'iw'],
      ['lt', 'hi'],
      ['lt', 'id'],
      ['lt', 'it'],
      ['lt', 'ja'],
      ['lt', 'ko'],
      ['lt', 'lv'],
      ['lt', 'lt'],
      ['lt', 'no'],
      ['lt', 'pl'],
      ['lt', 'pt'],
      ['lt', 'ro'],
      ['lt', 'ru'],
      ['lt', 'sr'],
      ['lt', 'sk'],
      ['lt', 'sl'],
      ['lt', 'es'],
      ['lt', 'sv'],
      ['lt', 'uk'],
      ['lt', 'vi'],
      ['no', 'ar'],
      ['no', 'bg'],
      ['no', 'ca'],
      ['no', 'zh-CN'],
      ['no', 'hr'],
      ['no', 'cs'],
      ['no', 'da'],
      ['no', 'nl'],
      ['no', 'en'],
      ['no', 'tl'],
      ['no', 'fi'],
      ['no', 'fr'],
      ['no', 'de'],
      ['no', 'el'],
      ['no', 'iw'],
      ['no', 'hi'],
      ['no', 'id'],
      ['no', 'it'],
      ['no', 'ja'],
      ['no', 'ko'],
      ['no', 'lv'],
      ['no', 'lt'],
      ['no', 'no'],
      ['no', 'pl'],
      ['no', 'pt'],
      ['no', 'ro'],
      ['no', 'ru'],
      ['no', 'sr'],
      ['no', 'sk'],
      ['no', 'sl'],
      ['no', 'es'],
      ['no', 'sv'],
      ['no', 'uk'],
      ['no', 'vi'],
      ['pl', 'ar'],
      ['pl', 'bg'],
      ['pl', 'ca'],
      ['pl', 'zh-CN'],
      ['pl', 'hr'],
      ['pl', 'cs'],
      ['pl', 'da'],
      ['pl', 'nl'],
      ['pl', 'en'],
      ['pl', 'tl'],
      ['pl', 'fi'],
      ['pl', 'fr'],
      ['pl', 'de'],
      ['pl', 'el'],
      ['pl', 'iw'],
      ['pl', 'hi'],
      ['pl', 'id'],
      ['pl', 'it'],
      ['pl', 'ja'],
      ['pl', 'ko'],
      ['pl', 'lv'],
      ['pl', 'lt'],
      ['pl', 'no'],
      ['pl', 'pl'],
      ['pl', 'pt'],
      ['pl', 'ro'],
      ['pl', 'ru'],
      ['pl', 'sr'],
      ['pl', 'sk'],
      ['pl', 'sl'],
      ['pl', 'es'],
      ['pl', 'sv'],
      ['pl', 'uk'],
      ['pl', 'vi'],
      ['pt', 'ar'],
      ['pt', 'bg'],
      ['pt', 'ca'],
      ['pt', 'zh-CN'],
      ['pt', 'hr'],
      ['pt', 'cs'],
      ['pt', 'da'],
      ['pt', 'nl'],
      ['pt', 'en'],
      ['pt', 'tl'],
      ['pt', 'fi'],
      ['pt', 'fr'],
      ['pt', 'de'],
      ['pt', 'el'],
      ['pt', 'iw'],
      ['pt', 'hi'],
      ['pt', 'id'],
      ['pt', 'it'],
      ['pt', 'ja'],
      ['pt', 'ko'],
      ['pt', 'lv'],
      ['pt', 'lt'],
      ['pt', 'no'],
      ['pt', 'pl'],
      ['pt', 'pt'],
      ['pt', 'ro'],
      ['pt', 'ru'],
      ['pt', 'sr'],
      ['pt', 'sk'],
      ['pt', 'sl'],
      ['pt', 'es'],
      ['pt', 'sv'],
      ['pt', 'uk'],
      ['pt', 'vi'],
      ['ro', 'ar'],
      ['ro', 'bg'],
      ['ro', 'ca'],
      ['ro', 'zh-CN'],
      ['ro', 'hr'],
      ['ro', 'cs'],
      ['ro', 'da'],
      ['ro', 'nl'],
      ['ro', 'en'],
      ['ro', 'tl'],
      ['ro', 'fi'],
      ['ro', 'fr'],
      ['ro', 'de'],
      ['ro', 'el'],
      ['ro', 'iw'],
      ['ro', 'hi'],
      ['ro', 'id'],
      ['ro', 'it'],
      ['ro', 'ja'],
      ['ro', 'ko'],
      ['ro', 'lv'],
      ['ro', 'lt'],
      ['ro', 'no'],
      ['ro', 'pl'],
      ['ro', 'pt'],
      ['ro', 'ro'],
      ['ro', 'ru'],
      ['ro', 'sr'],
      ['ro', 'sk'],
      ['ro', 'sl'],
      ['ro', 'es'],
      ['ro', 'sv'],
      ['ro', 'uk'],
      ['ro', 'vi'],
      ['ru', 'ar'],
      ['ru', 'bg'],
      ['ru', 'ca'],
      ['ru', 'zh-CN'],
      ['ru', 'hr'],
      ['ru', 'cs'],
      ['ru', 'da'],
      ['ru', 'nl'],
      ['ru', 'en'],
      ['ru', 'tl'],
      ['ru', 'fi'],
      ['ru', 'fr'],
      ['ru', 'de'],
      ['ru', 'el'],
      ['ru', 'iw'],
      ['ru', 'hi'],
      ['ru', 'id'],
      ['ru', 'it'],
      ['ru', 'ja'],
      ['ru', 'ko'],
      ['ru', 'lv'],
      ['ru', 'lt'],
      ['ru', 'no'],
      ['ru', 'pl'],
      ['ru', 'pt'],
      ['ru', 'ro'],
      ['ru', 'ru'],
      ['ru', 'sr'],
      ['ru', 'sk'],
      ['ru', 'sl'],
      ['ru', 'es'],
      ['ru', 'sv'],
      ['ru', 'uk'],
      ['ru', 'vi'],
      ['sr', 'ar'],
      ['sr', 'bg'],
      ['sr', 'ca'],
      ['sr', 'zh-CN'],
      ['sr', 'hr'],
      ['sr', 'cs'],
      ['sr', 'da'],
      ['sr', 'nl'],
      ['sr', 'en'],
      ['sr', 'tl'],
      ['sr', 'fi'],
      ['sr', 'fr'],
      ['sr', 'de'],
      ['sr', 'el'],
      ['sr', 'iw'],
      ['sr', 'hi'],
      ['sr', 'id'],
      ['sr', 'it'],
      ['sr', 'ja'],
      ['sr', 'ko'],
      ['sr', 'lv'],
      ['sr', 'lt'],
      ['sr', 'no'],
      ['sr', 'pl'],
      ['sr', 'pt'],
      ['sr', 'ro'],
      ['sr', 'ru'],
      ['sr', 'sr'],
      ['sr', 'sk'],
      ['sr', 'sl'],
      ['sr', 'es'],
      ['sr', 'sv'],
      ['sr', 'uk'],
      ['sr', 'vi'],
      ['sk', 'ar'],
      ['sk', 'bg'],
      ['sk', 'ca'],
      ['sk', 'zh-CN'],
      ['sk', 'hr'],
      ['sk', 'cs'],
      ['sk', 'da'],
      ['sk', 'nl'],
      ['sk', 'en'],
      ['sk', 'tl'],
      ['sk', 'fi'],
      ['sk', 'fr'],
      ['sk', 'de'],
      ['sk', 'el'],
      ['sk', 'iw'],
      ['sk', 'hi'],
      ['sk', 'id'],
      ['sk', 'it'],
      ['sk', 'ja'],
      ['sk', 'ko'],
      ['sk', 'lv'],
      ['sk', 'lt'],
      ['sk', 'no'],
      ['sk', 'pl'],
      ['sk', 'pt'],
      ['sk', 'ro'],
      ['sk', 'ru'],
      ['sk', 'sr'],
      ['sk', 'sk'],
      ['sk', 'sl'],
      ['sk', 'es'],
      ['sk', 'sv'],
      ['sk', 'uk'],
      ['sk', 'vi'],
      ['sl', 'ar'],
      ['sl', 'bg'],
      ['sl', 'ca'],
      ['sl', 'zh-CN'],
      ['sl', 'hr'],
      ['sl', 'cs'],
      ['sl', 'da'],
      ['sl', 'nl'],
      ['sl', 'en'],
      ['sl', 'tl'],
      ['sl', 'fi'],
      ['sl', 'fr'],
      ['sl', 'de'],
      ['sl', 'el'],
      ['sl', 'iw'],
      ['sl', 'hi'],
      ['sl', 'id'],
      ['sl', 'it'],
      ['sl', 'ja'],
      ['sl', 'ko'],
      ['sl', 'lv'],
      ['sl', 'lt'],
      ['sl', 'no'],
      ['sl', 'pl'],
      ['sl', 'pt'],
      ['sl', 'ro'],
      ['sl', 'ru'],
      ['sl', 'sr'],
      ['sl', 'sk'],
      ['sl', 'sl'],
      ['sl', 'es'],
      ['sl', 'sv'],
      ['sl', 'uk'],
      ['sl', 'vi'],
      ['es', 'ar'],
      ['es', 'bg'],
      ['es', 'ca'],
      ['es', 'zh-CN'],
      ['es', 'hr'],
      ['es', 'cs'],
      ['es', 'da'],
      ['es', 'nl'],
      ['es', 'en'],
      ['es', 'tl'],
      ['es', 'fi'],
      ['es', 'fr'],
      ['es', 'de'],
      ['es', 'el'],
      ['es', 'iw'],
      ['es', 'hi'],
      ['es', 'id'],
      ['es', 'it'],
      ['es', 'ja'],
      ['es', 'ko'],
      ['es', 'lv'],
      ['es', 'lt'],
      ['es', 'no'],
      ['es', 'pl'],
      ['es', 'pt'],
      ['es', 'ro'],
      ['es', 'ru'],
      ['es', 'sr'],
      ['es', 'sk'],
      ['es', 'sl'],
      ['es', 'es'],
      ['es', 'sv'],
      ['es', 'uk'],
      ['es', 'vi'],
      ['sv', 'ar'],
      ['sv', 'bg'],
      ['sv', 'ca'],
      ['sv', 'zh-CN'],
      ['sv', 'hr'],
      ['sv', 'cs'],
      ['sv', 'da'],
      ['sv', 'nl'],
      ['sv', 'en'],
      ['sv', 'tl'],
      ['sv', 'fi'],
      ['sv', 'fr'],
      ['sv', 'de'],
      ['sv', 'el'],
      ['sv', 'iw'],
      ['sv', 'hi'],
      ['sv', 'id'],
      ['sv', 'it'],
      ['sv', 'ja'],
      ['sv', 'ko'],
      ['sv', 'lv'],
      ['sv', 'lt'],
      ['sv', 'no'],
      ['sv', 'pl'],
      ['sv', 'pt'],
      ['sv', 'ro'],
      ['sv', 'ru'],
      ['sv', 'sr'],
      ['sv', 'sk'],
      ['sv', 'sl'],
      ['sv', 'es'],
      ['sv', 'sv'],
      ['sv', 'uk'],
      ['sv', 'vi'],
      ['uk', 'ar'],
      ['uk', 'bg'],
      ['uk', 'ca'],
      ['uk', 'zh-CN'],
      ['uk', 'hr'],
      ['uk', 'cs'],
      ['uk', 'da'],
      ['uk', 'nl'],
      ['uk', 'en'],
      ['uk', 'tl'],
      ['uk', 'fi'],
      ['uk', 'fr'],
      ['uk', 'de'],
      ['uk', 'el'],
      ['uk', 'iw'],
      ['uk', 'hi'],
      ['uk', 'id'],
      ['uk', 'it'],
      ['uk', 'ja'],
      ['uk', 'ko'],
      ['uk', 'lv'],
      ['uk', 'lt'],
      ['uk', 'no'],
      ['uk', 'pl'],
      ['uk', 'pt'],
      ['uk', 'ro'],
      ['uk', 'ru'],
      ['uk', 'sr'],
      ['uk', 'sk'],
      ['uk', 'sl'],
      ['uk', 'es'],
      ['uk', 'sv'],
      ['uk', 'uk'],
      ['uk', 'vi'],
      ['vi', 'ar'],
      ['vi', 'bg'],
      ['vi', 'ca'],
      ['vi', 'zh-CN'],
      ['vi', 'hr'],
      ['vi', 'cs'],
      ['vi', 'da'],
      ['vi', 'nl'],
      ['vi', 'en'],
      ['vi', 'tl'],
      ['vi', 'fi'],
      ['vi', 'fr'],
      ['vi', 'de'],
      ['vi', 'el'],
      ['vi', 'iw'],
      ['vi', 'hi'],
      ['vi', 'id'],
      ['vi', 'it'],
      ['vi', 'ja'],
      ['vi', 'ko'],
      ['vi', 'lv'],
      ['vi', 'lt'],
      ['vi', 'no'],
      ['vi', 'pl'],
      ['vi', 'pt'],
      ['vi', 'ro'],
      ['vi', 'ru'],
      ['vi', 'sr'],
      ['vi', 'sk'],
      ['vi', 'sl'],
      ['vi', 'es'],
      ['vi', 'sv'],
      ['vi', 'uk'],
      ['vi', 'vi']
    ],
    'apertium' => [
      ['br', 'fr'],
      ['ca', 'en'],
      ['ca', 'eo'],
      ['ca', 'es'],
      ['ca', 'fr'],
      ['ca', 'oc'],
      ['ca', 'oc_aran'],
      ['ca', 'pt'],
      ['cy', 'en'],
      ['en', 'ca'],
      ['en', 'eo'],
      ['en', 'es'],
      ['en', 'gl'],
      ['eo', 'en'],
      ['es', 'ast'],
      ['es', 'ca'],
      ['es', 'ca_valencia'],
      ['es', 'en'],
      ['es', 'eo'],
      ['es', 'fr'],
      ['es', 'gl'],
      ['es', 'pt'],
      ['es', 'pt_BR'],
      ['eu', 'es'],
      ['fr', 'ca'],
      ['fr', 'es'],
      ['gl', 'en'],
      ['gl', 'es'],
      ['is', 'en'],
      ['nb', 'nn'],
      ['nn', 'nb'],
      ['oc', 'ca'],
      ['oc_aran', 'ca'],
      ['pt', 'ca'],
      ['pt', 'es'],
      ['ro', 'es'],
      ['sv', 'da'],
    ]
  }
end
